svn commit: lorikeet r718 - in trunk/heimdal: .

lha at samba.org lha at samba.org
Fri Jun 8 03:20:09 GMT 2007


Author: lha
Date: 2007-06-08 03:20:08 +0000 (Fri, 08 Jun 2007)
New Revision: 718

WebSVN: http://websvn.samba.org/cgi-bin/viewcvs.cgi?view=rev&root=lorikeet&rev=718

Log:
Heimdal import script.

Added:
   trunk/heimdal/IMPORT-HEIMDAL.sh


Changeset:
Added: trunk/heimdal/IMPORT-HEIMDAL.sh
===================================================================
--- trunk/heimdal/IMPORT-HEIMDAL.sh	2007-05-30 06:19:52 UTC (rev 717)
+++ trunk/heimdal/IMPORT-HEIMDAL.sh	2007-06-08 03:20:08 UTC (rev 718)
@@ -0,0 +1,25 @@
+#!/bin/sh
+
+hpath=svn://svn.h5l.se/heimdal/trunk/heimdal
+spath=svn+ssh://svn.samba.org/data/svn/lorikeet/trunk/heimdal
+
+echo "heimdal import `date`" > log
+svn checkout $hpath heimdal-import >> log || exit 1
+svn checkout $spath heimdal-lorikeet >> log || exit 1
+cd heimdal-import || exit 1
+autoreconf -f -i >> log || exit 1
+./configure >> log  || exit 1
+make dist >> log || exit 1
+name=`make print-distdir`
+test "X$name" = "X" && exit 1
+gzip -dc $name.tar.gz | tar xf - || exit 1
+(cd $name && find . -name '*.cat[0-9]' -print | xargs rm) || exit 1
+(cd $name && tar cf - * ) | (cd ../heimdal-lorikeet && tar xf - ) || exit 1
+cd ../heimdal-lorikeet
+svn status | grep '^\?' | cut -b2- | xargs svn add
+(cd lib/roken && perl -pi -e 's,"roken.h",\<roken.h\>,g' *.c)
+
+echo "now run patch < heimdal-lorikeet.diff and fix up the damage"
+
+exit 0
+



More information about the samba-cvs mailing list